Subject: Re: [Cfrg] Document shepherd review of draft-irtf-cfrg-re-keying-12

From: Alexey Melnikov <[email-masked]>
Date: Mon, 10 Sep 2018 15:10:38 +0100

Hi Stanislav,

On 17/08/2018 15:53, Stanislav V. Smyshlyaev wrote:

> Dear Alexey,
>
> We've posted a new version of draft-irtf-cfrg-re-keying 
> (https://tools.ietf.org/html/draft-irtf-cfrg-re-keying-13), trying our 
> best to address all your comments.

The changes look good to me.

Thank you,

Alexey

> Thank you very much again!
>
> Kind regards,
> Stanislav
>
> 2018-08-05 16:59 GMT+03:00 Stanislav V. Smyshlyaev <[email-masked] 
> <mailto:[email-masked]>>:
>
>     Dear Alexey,
>
>     Thank you very much for your review! All comments look very
>     reasonable; addressing them will certainly improve the document.
>
>     I’m on my vacation until the middle of August - so if you don’t
>     mind, I’ll address these comments by the 20th of August.
>
>     Best regards,
>     Stanislav
>
>     вс, 5 авг. 2018 г. в 14:41, Alexey Melnikov
>     <[email-masked] <mailto:[email-masked]>>:
>
>         Hi Stanislav,
>
>         I think the document is in a good state and is ready for IRSG
>         review. I
>         have only a few minor questions/comments:
>
>         3.  Basic Terms and Definitions
>
>            V*      the set of all bit strings of a finite length
>         (hereinafter
>                    referred to as strings), including the empty string;
>                    substrings and string components are enumerated
>         from right to
>                    left starting from one;
>
>         The last part of the sentence after the ; - is it needed and
>         why is it
>         important for this document?
>
>
>            Int_s: V_s -> Z_{2^s}    the transformation that maps a
>         string a =
>                    (a_s, ... , a_1) in V_s into the integer Int_s(a) =
>         2^{s-1} *
>                    a_s + ... + 2 * a_2 + a_1 (the interpretation of
>         the binary
>                    string as an integer);
>
>         For all other transformations you have human readable
>         definition, but
>         not for this one. Can one be added? I think it would help document
>         readability.
>
>
>         In Section 4 (on page 7):
>
>            If the adversary has access to the data processing
>         interface the use
>            of the same cryptographic primitives both for data
>         processing and re-
>            keying transformation decreases the code size but can lead
>         to some
>            possible vulnerabilities.
>
>         This text begs for further explanation or for a reference. Can
>         something
>         be added here?
>
>
>         5.4.  Exploiting Additional Entropy on Re-keying
>
>         Use of the word "exploiting" seems odd/unusual here. Maybe not a
>         problem, but I think just changing this to "use" or something
>         similar
>         would read more naturally. This might be a good question for
>         native
>         English speakers :-).
>
>
>         Best Regards,
>         Alexey
>
>